Package org.apache.solr.common.util

## Class BytesOutputStream.Bytes

- java.lang.Object
- - org.apache.solr.common.util.BytesOutputStream.Bytes

Enclosing class:
  BytesOutputStream

    public static class BytesOutputStream.Bytes
    extends Object

### Field Summary

Fields
`byte[]` `bytes`
`int` `length`
`int` `offset`

### Constructor Summary

Constructors
`Bytes​(byte[] bytes, int offset, int length)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### bytes

    public final byte[] bytes

#### offset

    public final int offset

#### length

    public final int length

### Constructor Detail

#### Bytes

    public Bytes​(byte[] bytes,
                 int offset,
                 int length)